> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Standard and Zones Storage Policy Assignments resources

Storage policy assignment represents the relation between storage zone and the assigned item (for example a file stored in a specific zone).

## Storage policy assignment

The assignment of a storage policy to a user or enterprise.

<Accordion title="Attributes and example">
  | Property         | Type                                                                               | Required | Description                                                                                           |
  | ---------------- | ---------------------------------------------------------------------------------- | -------- | ----------------------------------------------------------------------------------------------------- |
  | `id`             | `string`                                                                           | Yes      | The unique identifier for a storage policy assignment.                                                |
  | `type`           | `enum<string>`                                                                     | Yes      | The value will always be `storage_policy_assignment`. Available options: `storage_policy_assignment`. |
  | `storage_policy` | [Storage policy (Mini)](/reference/storage-policies-resources#storage-policy-mini) | No       | The assigned storage policy.                                                                          |
  | `assigned_to`    | `object`                                                                           | No       | The bare basic reference for an object.                                                               |

  ```json Example theme={null}
  {
    "id": "ZW50ZXJwcmlzZV8xMjM0NTY3ODkw",
    "type": "storage_policy_assignment",
    "storage_policy": {
      "id": "11446498",
      "type": "storage_policy"
    },
    "assigned_to": {
      "id": "11446498",
      "type": "file"
    }
  }
  ```
</Accordion>

## Storage policy assignments

A list of storage policy assignments.

<Accordion title="Attributes and example">
  | Property      | Type                                                             | Required | Description                                                                                                                                                                            |
  | ------------- | ---------------------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                        | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                         | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                                         | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [Storage policy assignment](#storage-policy-assignment) | No       | A list of storage policy assignments.                                                                                                                                                  |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "ZW50ZXJwcmlzZV8xMjM0NTY3ODkw",
        "type": "storage_policy_assignment",
        "storage_policy": {
          "id": "11446498",
          "type": "storage_policy"
        },
        "assigned_to": {
          "id": "11446498",
          "type": "file"
        }
      }
    ]
  }
  ```
</Accordion>
